Get Transaction Comments

get

/rest/v19/commerceDocumentsOraclecpqoTransaction/{id}/_s_transactionComments_t

Use this endpoint to retrieve all comments for the specified transaction.

Request

Supported Media Types
Path Parameters
  • Current unique user-side ID. This is the internal identifier for a transaction within a CPQ site.
Query Parameters
  • Exclude specified field types.
  • Restrict which fields shall be returned. The value is a comma delimited string and each token is a field name.
  • The requested page size, which limits the number of elements the collection should max return.
  • The offset of the page. By default, offset is 0, which means first page will be returned.
  • Specifies a comma-separated list of pairs to order the response by.
  • Allows to specify one or more filtering criteria. By default, no filtering is applied.
  • Specifies that the total count of records should be included in the response when doing pagination.
Back to Top

Response

Supported Media Types

Default Response

Body ()
Root Schema : commerceDocumentsOraclecpqoTransaction_s_transactionComments_t-collection
Type: object
Show Source
  • state
    Title: state
    Captures the current state of the resource collection. Of available properties, only those that are applicable and whose values are known in the current context are included.
  • The number of resource instances returned in the current range.
  • Returns true if more resources are available on the server than the subset returned in current page.
  • items
  • The actual paging size used by the server.
  • The offset used in the current page.
  • Capture the total count of the resource instances, which not only includes the instances in the current range, but all instances on the server that satisfy the request.
Nested Schema : state
Type: object
Title: state
Captures the current state of the resource collection. Of available properties, only those that are applicable and whose values are known in the current context are included.
Show Source
  • Actions
    Title: Actions
    Captures the current state of each action whose state was requested. The object contains one property per action, where the property name is the variable name for the action.
  • state
    Title: state
    Captures the current state of the resource row. Of available properties, only those that are applicable and whose values are known in the current context are included.
  • Focused Users
    Title: Focused Users
    Details about users who are focused on this item. The object contains one property per focused user, where the property name is the user's unique identifier.
  • Title: Has Error
    Boolean value that specifies whether any error that occurred has been assigned to the collection itself.
  • Title: Has Warning
    Boolean value that specifies whether any warning that was issued has been assigned to the collection itself.
  • Title: Insertable
    Boolean value that specifies whether new rows can be inserted into the collection.
  • Messages
    Title: Messages
    Array of messages that have been generated for a specific object.
  • Title: Queryable
    Boolean value that specifies whether the rows in the collection can be queried.
  • Title: Sortable
    Boolean value that specifies whether the rows in the collection can be sorted.
Nested Schema : items
Type: array
Show Source
Nested Schema : Actions
Type: object
Title: Actions
Captures the current state of each action whose state was requested. The object contains one property per action, where the property name is the variable name for the action.
Nested Schema : state
Type: object
Title: state
Captures the current state of the resource row. Of available properties, only those that are applicable and whose values are known in the current context are included.
Show Source
  • Actions
    Title: Actions
    Captures the current state of each action whose state was requested. The object contains one property per action, where the property name is the variable name for the action.
  • Attributes
    Title: Attributes
    Captures the current state of each attribute whose state was requested. The object contains one property per group, where the property name is the resource field name for the attribute.
  • Title: Deletable
    Boolean value that specifies whether the row can be deleted.
  • Focused Users
    Title: Focused Users
    Details about users who are focused on this item. The object contains one property per focused user, where the property name is the user's unique identifier.
  • Title: Has Error
    Boolean value that specifies whether any error that occurred has been assigned to the row itself.
  • Title: Has Warning
    Boolean value that specifies whether any warning that was issued has been assigned to the row itself.
  • Title: Hidden
    Boolean value that specifies whether the row can be hidden.
  • Messages
    Title: Messages
    Array of messages that have been generated for a specific object.
  • Title: Updatable
    Boolean value that specifies whether the row can be updated.
Nested Schema : Focused Users
Type: object
Title: Focused Users
Details about users who are focused on this item. The object contains one property per focused user, where the property name is the user's unique identifier.
Nested Schema : Messages
Type: array
Title: Messages
Array of messages that have been generated for a specific object.
Show Source
Nested Schema : Actions
Type: object
Title: Actions
Captures the current state of each action whose state was requested. The object contains one property per action, where the property name is the variable name for the action.
Nested Schema : Attributes
Type: object
Title: Attributes
Captures the current state of each attribute whose state was requested. The object contains one property per group, where the property name is the resource field name for the attribute.
Nested Schema : Focused Users
Type: object
Title: Focused Users
Details about users who are focused on this item. The object contains one property per focused user, where the property name is the user's unique identifier.
Nested Schema : Messages
Type: array
Title: Messages
Array of messages that have been generated for a specific object.
Show Source
Nested Schema : Comments
Type: object
Title: Comments
Show Source
Nested Schema : _currency_pref
Type: object
Title: _currency_pref
Show Source
Nested Schema : Type
Type: object
Title: Type
Show Source
Back to Top

Examples

The following example shows how to retrieve comments for the specified transaction by submitting a GET request to the REST resource using cURL. For more information about cURL, see Use cURL.

curl -X GET -H "Authorization: Bearer <token>" -H "Accept: application/json"
https://sitename.oracle.com/rest/v19/commerceDocumentsOraclecpqoTransaction/40155914/_s_transactionComments_t

Response Body Sample

{
  "hasMore": false,
  "links": [{
      "rel": "self",
      "href": "https://sitename.oracle.com/rest/v19/commerceDocumentsOraclecpqoTransaction/40155914/_s_transactionComments_t"
    }
  ],
  "items": [{
      "_sequence_number": 1,
      "_document_number": 1,
      "_s_commentDate": "2024-08-29T13:51:00Z",
      "_s_commentor": "James Horton (Sales Rep)",
      "_currency_pref": {
        "id": 5190368,
        "currencyCode": "USD",
        "links": [{
            "rel": "domain",
            "href": "https://sitename.oracle.com/rest/v19/currencies"
          }, {
            "rel": "canonical",
            "href": "https://sitename.oracle.com/rest/v19/currencies/USD"
          }
        ]
      },
      "_bs_id": 40155914,
      "_row_number": 1,
      "_s_customerComment": "Please review the published quote and take an appropriate action.",
      "_s_isInternalComment": true,
      "links": [{
          "rel": "self",
          "href": "https://sitename.oracle.com/rest/v19/commerceDocumentsOraclecpqoTransaction/40155914/_s_transactionComments_t/1"
        }, {
          "rel": "parent",
          "href": "https://sitename.oracle.com/rest/v19/commerceDocumentsOraclecpqoTransaction/40155914"
        }
      ]
    }, {
      "_sequence_number": 2,
      "_document_number": 1,
      "_s_commentDate": "2024-08-29T14:31:00Z",
      "_s_commentor": "Adam Jones",
      "_currency_pref": {
        "id": 5190368,
        "currencyCode": "USD",
        "links": [{
            "rel": "domain",
            "href": "https://sitename.oracle.com/rest/v19/currencies"
          }, {
            "rel": "canonical",
            "href": "https://sitename.oracle.com/rest/v19/currencies/USD"
          }
        ]
      },
      "_bs_id": 40155914,
      "_row_number": 2,
      "_s_customerComment": "Accepting the Quote",
      "_s_isInternalComment": true,
      "links": [{
          "rel": "self",
          "href": "https://sitename.oracle.com/rest/v19/commerceDocumentsOraclecpqoTransaction/40155914/_s_transactionComments_t/2"
        }, {
          "rel": "parent",
          "href": "https://sitename.oracle.com/rest/v19/commerceDocumentsOraclecpqoTransaction/40155914"
        }
      ]
    }
  ]
}

Back to Top